clear
drop _all

use "\BellemareAgEconCFSpilloversFinal.dta"


* Table 1 *

mean inc_total_pc inc_livestock_pc inc_wage_pc inc_nfb_pc inc_ag_pc inc_unearned_pc inc_contrct_pc cf hhsize depr single female migrant age educ ag_exp farm_org fady wrk_cap assets land_tot [pweight=weight]


ttest inc_livestock, by(cf)
ttest inc_wage, by(cf)
ttest inc_nfb, by(cf)
ttest inc_ag, by(cf)
ttest inc_unearned, by(cf)
ttest inc_contrct, by(cf)

ttest inc_livestock_pc, by(cf)
ttest inc_wage_pc, by(cf)
ttest inc_nfb_pc, by(cf)
ttest inc_ag_pc, by(cf)
ttest inc_unearned_pc, by(cf)
ttest inc_contrct_pc, by(cf)

label variable ln_inc_livestock "Log of Income from Livestock"
label variable ln_inc_wage "Log of Income from Wages"
label variable ln_inc_nfb "Log of Income from Nonfarm Businesses"
label variable ln_inc_ag "Log of Income from Agriculture"
label variable ln_inc_unearned "Log of Unearned Income"
label variable ln_inc_total "Log of Total Income"

label variable ln_inc_livestock_pc "Log of Income from Livestock Per Capita"
label variable ln_inc_wage_pc "Log of Income from Wages Per Capita"
label variable ln_inc_nfb_pc "Log of Income from Nonfarm Businesses Per Capita"
label variable ln_inc_ag_pc "Log of Income from Agriculture Per Capita"
label variable ln_inc_unearned_pc "Log of Unearned Income Per Capita"
label variable ln_inc_total_pc "Log of Total Income Per Capita"

label variable inc_livestock_pc "Income from Livestock Per Capita"
label variable inc_wage_pc "Income from Wages Per Capita"
label variable inc_nfb_pc "Income from Nonfarm Businesses Per Capita"
label variable inc_ag_pc "Income from Agriculture Per Capita"
label variable inc_unearned_pc "Unearned Income Per Capita"
label variable inc_total_pc "Total Income Per Capita"


* Estimations *

* Table 3 *

foreach i in total livestock wage nfb ag unearned {
set seed 1
reg ln_inc_`i'_pc cf hhsize depr single female migrant age educ ag_exp farm_org fady wrk_cap assets land_tot fiv_2-fiv_6
nlcom exp(_b[cf] - 0.5*(_se[cf]^2)) -1
more
}


* Table 4 *

foreach i in total livestock wage nfb ag unearned {
set seed 1
reg ln_inc_`i'_pc cf hhsize depr single female migrant age educ ag_exp farm_org fady wrk_cap assets land_tot fiv_2-fiv_6 k11mi-k16mi, vce(bootstrap, reps(500))
nlcom exp(_b[cf] - 0.5*(_se[cf]^2)) -1
more
}



* Hausman Tests *

foreach i in total livestock wage nfb ag unearned {
reg ln_inc_`i'_pc cf hhsize depr single female migrant age educ ag_exp farm_org fady wrk_cap assets land_tot fiv_2-fiv_6 k11mi-k16mi
est store a_`i'
reg ln_inc_`i'_pc cf hhsize depr single female migrant age educ ag_exp farm_org fady wrk_cap assets land_tot fiv_2-fiv_6
est store b_`i'
hausman a_`i' b_`i'
}


